deleting of EC2 guests - confusing message

05/28/2014 01:59 PM - Dominic Cleal

Status: Closed   

Priority: Low   

Assignee: Joseph Magen   

Category: VM management   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1102085 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1102085

Description of problem:

We have a EC2 guest in Sat6.0.

When we delete it, we get a information message "Successfully deleted", but the guest is still contained in EC2 (and in "Compute

Resource" > "Virtual Machines"). Amazon deletes guest with the delay (in my case  10 - 60 min).

it means, the message is inaccurate. It would be better something as "The virtual machine will be deleted in few minutes".

Question is it, the difference between the deleting of host ("Hosts" > "All hosts" > delete some of EC2 guests) and deleting of a virtual

machine ("Infrastructure" > "Compute resource" > some of EC2 resources > "Virtual Machines" > some of EC2 guests).

First option deletes the host immediately and VM will be automatically deleted in future. In this case, the message is acceptable, we

don't see already host in list.

Second option  marks VM for deleting and VM will be automatically deleted in future. In this case, the message is confusing, because

we see still the VM in list.

Version-Release number of selected component (if applicable):

Satellite-6.0.3-RHEL-6-20140523.0

How reproducible:

100%

Steps to Reproduce:

1. We have got Sat 6.0 with some EC2 guest.

2. Open detail of VM guest "Infrastructure" > "Compute resource" > some of EC2 resources > "Virtual Machines" > some of EC2

guests

3. Click on the "Delete" button.

4. We can see message "Successfully deleted", but VM is still in the list.

Actual results:

"Successfully deleted"

Expected results:

"The virtual machine will be deleted in a few minutes"

Additional info:

Associated revisions

Revision 9d9523c7 - 07/09/2014 10:10 AM - Joseph Magen

fixes #5969 - improve message when deleting virtual machines to indicate delay

History

#1 - 05/28/2014 01:59 PM - Dominic Cleal

- Category set to VM management
https://bugzilla.redhat.com/show_bug.cgi?id=1102085


#2 - 06/01/2014 02:16 PM - Joseph Magen

- Status changed from New to Assigned

- Assignee set to Joseph Magen

- Target version set to 1.8.2

https://github.com/theforeman/foreman/pull/1490

#3 - 06/11/2014 02:57 PM - Anonymous

- Target version changed from 1.8.2 to 1.8.1

#4 - 06/19/2014 03:56 PM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1490

#5 - 07/07/2014 07:23 AM - Anonymous

- Target version changed from 1.8.1 to 1.8.0

#6 - 07/09/2014 09:57 AM - Dominic Cleal

- translation missing: en.field_release set to 10

#7 - 07/09/2014 11:01 AM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 9d9523c7c7472634e5fb9ed9314b06e1c62c6e96.
